> For the complete documentation index, see [llms.txt](https://docs.sonarsource.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonarsource.com/sonarqube-server/2025.4/server-installation/on-kubernetes-or-openshift/installing-helm-chart.md).

# Installing Helm chart

Once you have customized the Helm chart, you can install it. You can also overwrite Helm chart parameters directly in the installation command (see OpenShift example below).

## General installation command <a href="#general-command" id="general-command"></a>

Use the following command to install the latest SonarQube Server Helm chart:

```sh
helm repo add sonarqube https://SonarSource.github.io/helm-chart-sonarqube
helm repo update
kubectl create namespace sonarqube
export MONITORING_PASSCODE="yourPasscode"
helm upgrade --install -n sonarqube sonarqube sonarqube/sonarqube --set edition=developer,monitoringPasscode=$MONITORING_PASSCODE
```

{% hint style="info" %}

* You must explicitly set the `edition` parameter to either `developer` or `enterprise`.
* The parameters after `--set` can also be defined in the `values.yaml` file. See [Customizing Helm chart](/sonarqube-server/2025.4/server-installation/on-kubernetes-or-openshift/customizing-helm-chart.md).
* If you want to deploy the SonarQube Server LTA version, you should install the LTA Helm chart, see the [Helm chart documentation](https://artifacthub.io/packages/helm/sonarqube/sonarqube).
* The monitoring Passcode is required for the helm upgrade operation. See [Setting up monitoring](/sonarqube-server/2025.4/server-installation/on-kubernetes-or-openshift/set-up-monitoring.md) for a better way to store the monitoring passcode used to authenticate to the Web API.
  {% endhint %}

## Example: installing on OpenShift <a href="#openshift-test" id="openshift-test"></a>

The command below enables OpenShift and deploys a PostgreSQL database for test purposes.

```sh
helm repo add sonarqube https://SonarSource.github.io/helm-chart-sonarqube
helm repo update
kubectl create namespace sonarqube 
export MONITORING_PASSCODE="yourPasscode"
helm upgrade --install -n sonarqube sonarqube sonarqube/sonarqube \
  --set OpenShift.enabled=true \
  --set postgresql.securityContext.enabled=false \
  --set OpenShift.createSCC=false \
  --set postgresql.containerSecurityContext.enabled=false \
  --set edition=developer \
  --set monitoringPasscode=$MONITORING_PASSCODE
```

## Related pages <a href="#related-pages" id="related-pages"></a>

* [Installation overview](/sonarqube-server/2025.4/server-installation/on-kubernetes-or-openshift/installation-overview.md)
* [Before you start](/sonarqube-server/2025.4/server-installation/on-kubernetes-or-openshift/before-you-start.md)
* [Customizing Helm chart](/sonarqube-server/2025.4/server-installation/on-kubernetes-or-openshift/customizing-helm-chart.md)
* [Setting up monitoring](/sonarqube-server/2025.4/server-installation/on-kubernetes-or-openshift/set-up-monitoring.md)
* Installing Data Center Edition on Kubernetes: [Installing on Kubernetes or Openshift](/sonarqube-server/2025.4/server-installation/data-center-edition/on-kubernetes-or-openshift.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sonarsource.com/sonarqube-server/2025.4/server-installation/on-kubernetes-or-openshift/installing-helm-chart.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
